Bug 439909 - system-config-services experience various usability problems when locale encoding is not UTF-8
system-config-services experience various usability problems when locale enco...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 18:45 EDT by Andrew Zabolotny
Modified: 2010-06-28 06:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The diff against version 0.9.17 (6.39 KB, patch)
2008-03-31 18:45 EDT, Andrew Zabolotny
no flags Details | Diff

  None (edit)
Description Andrew Zabolotny 2008-03-31 18:45:45 EDT
Description of problem:
I use a non-UTF8 locale (ru_RU.CP1251), and system-config-services does not
display service status correctly. If run from console, it displays:

/usr/sbin/system-config-services:432: GtkWarning: gtk_text_buffer_emit_insert:
assertion `g_utf8_validate (text, len, NULL)' failed
  buf.set_text(message)

when you select any service. Another problem is that if you run
system-config-services and select Actions->Delete Service, it will print in console:

Traceback (most recent call last):
  File "/usr/sbin/system-config-services", line 657, in on_delete_service_clicked
    if verify_delete(self.current_selected) == gtk.RESPONSE_YES:
AttributeError: Gui instance has no attribute 'current_selected'

Version-Release number of selected component (if applicable):
0.9.17-1

How reproducible:
Always

Steps to Reproduce:
1. LANG=ru_RU.KOI8-R system-config-services
2. select Actions -> Delete Service
  
Additional info:
Here's a patch that fixes both these problems:

- The first problem is solved by applying correct translation to the text that
comes from external console tools. The incoming text is in system locale, and
should be translated to UTF-8.

- LC_ALL=C is not enough to switch the application to English. There's also the
LANG and LC_MESSAGES variables which also affect the language of the output. If
we get the output of chkconfig --list in the wrong encoding, we're stuck.

- The problem with "Delete service" is solved by setting the current_selected
member to a sane value at application startup.

- I have fixed the translation logic by re-using the 'cat' object from
rhpl.translate, which is imported anyway instead of creating a new translation
object.
Comment 1 Andrew Zabolotny 2008-03-31 18:45:45 EDT
Created attachment 299783 [details]
The diff against version 0.9.17
Comment 2 Bug Zapper 2008-11-26 05:20:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nils Philippsen 2008-12-01 08:25:37 EST
Still present in Rawhide.
Comment 4 Bug Zapper 2009-06-09 05:31:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 07:58:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:34:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.